//
//  TikTokOpenPlatformObjects.h
//  AFgzipRequestSerializer
//
//  Created by Spiker on 2019/7/8.
//

#import <Foundation/Foundation.h>
@class TikTokOpenPlatformBaseRespond;

typedef NS_ENUM(NSInteger, TiktokOpenPlatformErrorCode) {
    TiktokOpenPlatformSuccess                = 0,    /** 成功 */
    TiktokOpenPlatformErrorCodeCommon        = -1,   /** 通用错误类型 <包括网络错误> */
    TiktokOpenPlatformErrorCodeUserCanceled  = -2,   /** 用户手动取消 */
    TiktokOpenPlatformErrorCodeSendFailed    = -3,   /** 发送失败 */
    TiktokOpenPlatformErrorCodeAuthDenied    = -4,   /** 权限错误 */
    TiktokOpenPlatformErrorCodeUnsupported   = -5,   /** 不支持 */
};

NS_ASSUME_NONNULL_BEGIN
typedef void(^TikTokRequestCompletedBlock) (TikTokOpenPlatformBaseRespond *resp);

@interface TikTokOpenPlatformBaseRequest : NSObject

@end

@interface TikTokOpenPlatformBaseRespond : NSObject

@property (nonatomic, readonly, assign) BOOL isSucceed;
/**
 错误码
 */
@property (nonatomic, assign) TiktokOpenPlatformErrorCode errCode;

/**
 错误描述
 */
@property (nonatomic, copy, nullable) NSString *errString;

@end

NS_ASSUME_NONNULL_END
