//
//  TiktokOpenPlatformApplicationDelegate.h
//  
//
//  Created by Spiker on 2019/7/8.
//

#import <Foundation/Foundation.h>

typedef NS_ENUM(NSInteger, TikTokOpenPlatformAppType) {
    TikTokOpenPlatformAppTypeChina = 0,
    TikTokOpenPlatformAppTypeI18N,
};

typedef NS_ENUM(NSInteger, TikTokOpenPlatformModule) {
    TikTokOpenPlatformModuleAuth = 0,
    TikTokOpenPlatformModuleShare,
};

NS_ASSUME_NONNULL_BEGIN
@protocol TikTokOpenPlatformLogDelegate <NSObject>

- (void)onLog:(NSString *)logInfo;

@end

@interface TiktokOpenPlatformApplicationDelegate : NSObject

@property (nonatomic, copy, readonly) NSString *currentVersion;
@property (nonatomic, weak) id<TikTokOpenPlatformLogDelegate> logDelegate;

+ (instancetype) sharedInstance;

- (NSString *)iTunesUrlWithAppType:(TikTokOpenPlatformAppType)appType;

- (void)application:(UIApplication *)application didFinishLaunchingWithOptions:(nullable NSDictionary *)launchOptions;

- (BOOL)application:(nullable UIApplication *)application openURL:(nonnull NSURL *)url sourceApplication:(nullable NSString *)sourceApplication annotation:(nonnull id)annotation;

- (BOOL)registerAppId:(NSString *)appid appType:(TikTokOpenPlatformAppType)appType;

- (NSString *)appIdWithAppType:(TikTokOpenPlatformAppType)appType;

//功能变更说明
- (BOOL)isAppInstalledWithAppType:(TikTokOpenPlatformAppType)apptype;

//功能变更说明
- (BOOL)isSupportModule:(TikTokOpenPlatformModule) module appType:(TikTokOpenPlatformAppType)apptype;

@end

NS_ASSUME_NONNULL_END
